%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-chess
Version:	43.0
Release:	%mkrel 1
Summary:	GNOME Chess game
License:	GPLv2+ and GFDL
Group:		Games/Boards
URL:		https://wiki.gnome.org/Chess
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Backported from upstream
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	lib64rsvg2-devel
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(x11)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:  meson
BuildRequires:	vala-devel >= 0.16.0
BuildRequires:	libxml2-utils
Obsoletes: 	glchess
Requires:	gnuchess
# For help
Requires:	yelp

%description
A chess game which supports several chess engines, with 2D and optionally 3D
support if OpenGL is present.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

sd "Chess" "GChess" %buildroot/%{_datadir}/applications/org.gnome.Chess.desktop
sd  "org.gnome.GChess" "org.gnome.Chess" %buildroot/%{_datadir}/applications/org.gnome.Chess.desktop

#drop this
rm -rf %buildroot/usr/share/help

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Chess.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Chess.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Chess.service
%config(noreplace) %{_sysconfdir}/%{name}/engines.conf
%{_iconsdir}/*/*/apps/org.gnome.Chess*.*
%{_datadir}/metainfo/org.gnome.Chess.appdata.xml
%{_mandir}/man6/%{name}.6*


%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas
%update_menus

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas
%clean_menus

%clean
rm -rf %buildroot

%changelog
* Sun Sep 25 2022 tex - 43.0-1pclos2022
- new version

* Sun Sep 11 2022 tex - 42.1-1pclos2022
- new version

* Fri May 07 2021 tex - 40.1-1pclos2021
- new version

* Sun Mar 28 2021 tex - 40.0-1pclos2021
- new version

* Tue Dec 08 2020 tex - 3.38.1-1pclos2020
- new version

* Sun Sep 13 2020 tex - 3.38.0-1pclos2020
- new version

* Sun May 31 2020 tex - 3.36.1-1pclos2020
- new version

* Fri Mar 06 2020 tex - 3.36.0-1pclos2020
- new version

* Wed Sep 18 2019 tex - 3.34.0-2pclos2019
- rebuild against updates

* Mon Sep 09 2019 tex - 3.34.0-1pclos2019
- new version

* Wed Apr 17 2019 tex 3.32.0-1pclos2019
- new version 3.32.0
